#include "SymbolTable.h"

void SymbolTable::Insert(Symbol sym)
{ Data.push_front(sym);}

Symbol SymbolTable::Lookup(const string s)
{
  typedef list<Symbol>::iterator LI;
  for (LI i = Data.begin(); i != Data.end(); ++i) 
	 {
		Symbol& e = *i;
		if (s == e.GetName()) return e;
	 }
  Symbol error = Symbol("error",-1,Error);
  return error;
}

void SymbolTable::WalkThrough()
{
  typedef list<Symbol>::iterator LI;
  for (LI i = Data.begin(); i != Data.end(); ++i) 
	 {
		Symbol& e = *i;
		out.DebugMany(e.GetName());
		out.DebugMany(" : ");
		out.DebugMany(e.GetAddress());
		out.DebugMany(" : ");
		out.DebugMany(e.GetType());
		out.DebugMany("\n");
	 }
}

